summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author M.A. BEGUE2019-05-09 19:02:38 +0200
committer Willy Sudiarto Raharjo2019-05-09 19:02:38 +0200
commit7d5bf0041c104f39be0a0293da8c1f1c6ded1fca (patch)
tree12253f6277f40ea2c6e921f7bcbd54f3c8cf7451 /perl
parent721aedce3b8d6e2e770f31a8a7de3cd9a4d416e1 (diff)
downloadslackbuilds-7d5bf0041c104f39be0a0293da8c1f1c6ded1fca.tar.gz
perl/perl-Font-TTF: Added (Perl module for TrueType Font hacking).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Font-TTF/README4
-rw-r--r--perl/perl-Font-TTF/perl-Font-TTF.SlackBuild103
-rw-r--r--perl/perl-Font-TTF/perl-Font-TTF.info10
-rw-r--r--perl/perl-Font-TTF/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/perl/perl-Font-TTF/README b/perl/perl-Font-TTF/README
new file mode 100644
index 0000000000..981140d35e
--- /dev/null
+++ b/perl/perl-Font-TTF/README
@@ -0,0 +1,4 @@
+perl-Font-TTF - Perl module for TrueType Font hacking
+
+This module allows you to do almost anything to a TrueType/OpenType
+Font including modify and inspect nearly all tables.
diff --git a/perl/perl-Font-TTF/perl-Font-TTF.SlackBuild b/perl/perl-Font-TTF/perl-Font-TTF.SlackBuild
new file mode 100644
index 0000000000..03f0665148
--- /dev/null
+++ b/perl/perl-Font-TTF/perl-Font-TTF.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for perl-Font-TTF
+
+# Copyright (c) 2019 M.A. Begue
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of the <organization> nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Font-TTF
+VERSION=${VERSION:-1.06}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Font-TTF
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ];then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -Rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -Rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ INSTALL_BASE="" \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Font-TTF/perl-Font-TTF.info b/perl/perl-Font-TTF/perl-Font-TTF.info
new file mode 100644
index 0000000000..002025d3af
--- /dev/null
+++ b/perl/perl-Font-TTF/perl-Font-TTF.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Font-TTF"
+VERSION="1.06"
+HOMEPAGE="https://metacpan.org/release/Font-TTF"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/B/BH/BHALLISSY/Font-TTF-1.06.tar.gz"
+MD5SUM="241b59310ad4450e6e050d5e790f1b21"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-IO-String"
+MAINTAINER="M.A. BEGUE"
+EMAIL="mab974@gmail.com"
diff --git a/perl/perl-Font-TTF/slack-desc b/perl/perl-Font-TTF/slack-desc
new file mode 100644
index 0000000000..4902d54774
--- /dev/null
+++ b/perl/perl-Font-TTF/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Font-TTF: perl-Font-TTF (Perl module for TrueType Font hacking)
+perl-Font-TTF:
+perl-Font-TTF: This module allows you to do almost anything to a TrueType/OpenType
+perl-Font-TTF: Font including modify and inspect nearly all tables.
+perl-Font-TTF:
+perl-Font-TTF: Homepage: https://metacpan.org/pod/Font::TTF
+perl-Font-TTF:
+perl-Font-TTF:
+perl-Font-TTF:
+perl-Font-TTF:
+perl-Font-TTF: